name: anarchytect
recipe: laravel
config:
  php: '8.0'
  webroot: public
  via: nginx
  cache: redis:6
  xdebug: true
services:
  appserver:
    overrides:
      extra_hosts:
        - "host.docker.internal:host-gateway"
    build_as_root:
      - apt update && apt install --yes jpegoptim optipng pngquant gifsicle ghostscript ffmpeg cron
    run_as_root:
      - service cron start
    run:
      - crontab /app/cron.txt
  database:
    type: mariadb:10.5
    creds:
      user: at
      password: at
      database: at
    portforward: 36600
  node:
    type: node:14
  mail:
    type: mailhog
    hogfrom:
      - appserver
tooling:
  npm:
    service: node
  npx:
    service: node
  pest:
    service: appserver
    cmd: php ./vendor/bin/pest
  security-checker:
    service: appserver
    cmd: php ./vendor/bin/security-checker security:check
